Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.debug
Class DebugException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.ejie.r01f.exceptions.BaseRunTimeException
                      com.ejie.r01f.debug.DebugException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PreconditionException

public abstract class DebugException
extends BaseRunTimeException

Clase abstracta que sirve de base para PreconditionException y CheckException

See Also:
  Serialized Form

Constructor Summary
`DebugException()`
`DebugException(java.lang.Exception cause)`
`DebugException(long exNumber, java.lang.Exception cause)`
`DebugException(long exNumber, java.lang.String msg)`
`DebugException(long exNumber, java.lang.String msg, java.lang.Exception cause)`
`DebugException(java.lang.String msg)`
`DebugException(java.lang.String msg, java.lang.Exception cause)`

Methods inherited from class com.ejie.r01f.exceptions.BaseRunTimeException
`getDetailedMessage, getErrorNumber, getMessage, getRawMessage, setErrorNumber, toHtml, toString, toXML`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DebugException

    public DebugException()

### DebugException

    public DebugException(java.lang.Exception cause)

Parameters:
  `cause` -

### DebugException

    public DebugException(long exNumber,
                          java.lang.Exception cause)

Parameters:
  `exNumber` -
  `cause` -

### DebugException

    public DebugException(long exNumber,
                          java.lang.String msg,
                          java.lang.Exception cause)

Parameters:
  `exNumber` -
  `msg` -
  `cause` -

### DebugException

    public DebugException(long exNumber,
                          java.lang.String msg)

Parameters:
  `exNumber` -
  `msg` -

### DebugException

    public DebugException(java.lang.String msg,
                          java.lang.Exception cause)

Parameters:
  `msg` -
  `cause` -

### DebugException

    public DebugException(java.lang.String msg)

Parameters:
  `msg` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD